Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79771 - /usr/include/bits/byteswap.h does not define __bswap_32 properly
Summary: /usr/include/bits/byteswap.h does not define __bswap_32 properly
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-16 20:01 UTC by David Tiller
Modified: 2016-11-24 15:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-07 16:54:00 UTC


Attachments (Terms of Use)

Description David Tiller 2002-12-16 20:01:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021202

Description of problem:
If __GNUC__ is less that 2 and the machine architecture is 386 or less,
__swap_16 gets redefined and __swap_32 is not defined at all.

Line 84 of /usr/include/bits/byteswap.h should define __swap_32 - instead
__swap_16 is redefined.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Download and unzip dante-1.1.13.tar.gz
2. cd into dante-1.1.13 and type ./configure
3. type make

For whatever reason, dante redefines __GNUC__ to be zero, causing the flaw in
byteswap.h to emerge.
    

Actual Results:  gcc reports a missing definition for __bswap_32.
/usr/include/bits/byteswap.h is being included from /usr/include/netinet/in.h.

Expected Results:  Sucessful compilation.

Additional info:

I changed my copy of byteswap.h line 84 to define __bswap_32, and the
compilation suceeded.

Comment 1 Jakub Jelinek 2003-01-07 16:54:00 UTC
Should be fixed in glibc-2.3.1-9 and later.


Note You need to log in before you can comment on or make changes to this bug.